Bug 112131 - [PATCH] security/py-m2crypto: use OpenSSL from ports
Summary: [PATCH] security/py-m2crypto: use OpenSSL from ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcus Alves Grando
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-25 19:00 UTC by Alejandro Pulver
Modified: 2007-05-03 00:58 UTC (History)
0 users

See Also:


Attachments
py-m2crypto.diff (922 bytes, patch)
2007-04-25 19:00 UTC, Alejandro Pulver
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alejandro Pulver freebsd_committer 2007-04-25 19:00:11 UTC

- Move DIST_SUBDIR to the frist part of the port.
- Use OpenSSL from the ports (see below).

The reason is that two Python based Bittorrent clients will be added and need a py-m2crypto module that is only compiled when OpenSSL version is >= 0.9.8 (in FreeBSD 6.2 it's 0.9.7.x).

Also there is only one port that needs it (and one that requires the last one), so after the addition of the new ports there would be more chances the user will need the version from ports.

Otherwise a check has to be added (probably should be implemented in bsd.openssl.mk), but before bsd.port.pre.mk so variables (PKG_INFO, CUT, etc.) can't be used.
Comment 1 Edwin Groothuis freebsd_committer 2007-04-25 19:00:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mnag

Over to maintainer
Comment 2 Alejandro Pulver freebsd_committer 2007-05-02 17:22:07 UTC
State Changed
From-To: open->closed

Committed. Thanks! 

http://www.freebsd.org/cgi/query-pr.cgi?pr=112131 

Adding from misfiled PR caught in spamtrap:

To: bug-followup@FreeBSD.org
Subject: Re: ports/112131: commit references a PR
Date: Wed,  2 May 2007 16:21:47 +0000 (UTC)